Skip to main content
GET
/
api
/
public
/
instagram
/
accounts
/
{instagramAccountId}
/
posts
/
{postId}
/
history
List execution history for a post
curl --request GET \
  --url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts/{postId}/history \
  --header 'x-api-key: <x-api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts/{postId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts/{postId}/history"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

Headers

x-api-key
string
required

API key required to authorize the request

Path Parameters

instagramAccountId
string
required

Vambe Instagram account id

postId
string
required

Instagram media id (from GET .../posts)

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20
Required range: 1 <= x <= 100

Response

200

Execution history.